Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class MiningMartApplication

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.musoft.limo.application.Application
                              edu.udo.cs.miningmart.gui.application.MiningMartApplication

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ComponentListener, org.jhotdraw.framework.DrawingEditor, java.util.EventListener, org.jhotdraw.framework.FigureSelectionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, org.jhotdraw.util.PaletteListener, java.beans.PropertyChangeListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class MiningMartApplication
extends org.musoft.limo.application.Application

The MiningMartApplication.

Version:
  $Id: MiningMartApplication.java,v 1.19 2006/04/11 14:10:15 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `CASE_MODE`
`static boolean` | `compileLazy`
`static CompilerAccess` | `compilerAccess`
`static CompilerThread` | `compilerThread`
`static int` | `CONCEPT_MODE`
`Case` | `currentcase`
`static int` | `DEFAULT_MODE`
`static boolean` | `keepCase`
`PrintViewer` | `logservice`
`static M4Interface` | `m4Interface`
`static java.lang.String` | `SYSTEM_PROP_MM_HOME`

Fields inherited from class org.musoft.limo.application.Application
`birdsEye, controlPane, currentModel, EDITOR, FULLSCREEN, help, hypertextEditor, hypertextViewer, inspector, mainpane, navigator, notepad, PANE_CENTER, PANE_LEFT_BOTTOM, PANE_LEFT_TOP, PANE_RIGHT, toolbar, VIEWER`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MiningMartApplication()` Creates new `MiningMartApplication`.

Method Summary
`protected void` | `checkToolsAndMenus()`
`void` | `clearDataModel()`
`void` | `collectGarbage()` Collects and deletes the garbage from the current case.
`void` | `compileAll()` Compiles all steps in the case.
`void` | `compileFrom()` Compiles from the selected step.
`void` | `compileStep()` Compiles the selected step.
`void` | `compileUntil()` Compiles until the selected step.
`protected void` | `createComponents()`
`protected org.jhotdraw.framework.Drawing` | `createDrawing(org.musoft.limo.model.Model rootElement)` Creates the drawing used in this application.
`protected org.jhotdraw.framework.DrawingView` | `createDrawingView(org.musoft.limo.model.Model rootElement)`
`protected static javax.swing.ImageIcon` | `createImageIcon(java.lang.String path, java.lang.String description)` Returns an ImageIcon, or null if the path was invalid.
`java.util.logging.Logger` | `createLogger()`
`protected org.musoft.limo.application.MenuBar` | `createMenuBar()`
`protected org.musoft.limo.model.Model` | `createModel()`
`protected org.musoft.limo.application.ToolBar` | `createToolBar()`
`void` | `exit()` Exit the application.
`void` | `exportCase()` Exports the current case.
`void` | `figureSelectionChanged(org.jhotdraw.framework.DrawingView dw)`
`java.lang.String` | `getActualCaseName()` Gets the actual casename.
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getApplicationTitle()`
`java.lang.String` | `getApplicationVersion()`
`CompilerAccess` | `getCompilerAccess()`
`ConceptToolPanel` | `getConceptToolPanel()` Gets the `onceptToolPanel`.
`protected java.io.File` | `getConfigPath()`
`java.util.Collection` | `getDataModel()`
`org.jhotdraw.framework.Drawing` | `getDrawing()` Gets the `Drawing`.
`int` | `getEditorMode()` Gets the editor mode.
`MiningMartCase` | `getMiningMartCase()` Gets the MiningMartCase.
`MiningMartConcepts` | `getMiningMartConcepts()` Gets the MiningMartConcepts.
`protected java.lang.String[]` | `getModelClassPrefix()`
`int` | `getNumberOfFeatures()` Returns the number of BaseAttributes displayed in a Concept!
`java.util.Vector` | `getOperatorsInToolPanel()` Gets the operators in the toolpanel.
`OperatorToolPanel` | `getOperatorToolPanel()` Gets the `OperatorToolPanel`.
`java.awt.Point` | `getPointforConcept()` Gets the point for a new concept.
`java.awt.Point` | `getPointforOperator()` Gets the point for a new operator.
`org.musoft.limo.model.ModelFigureElement` | `getPotentialParent(int x, int y)` Gets the potential parent for the specified coordinate.
`StepSettingsPanel` | `getStepSettings()` Gets the panel of the stepsettings.
`java.lang.String` | `getWorkingDir()` Gets the working directory.
`boolean` | `hasDataModel()`
`void` | `importCase()` Imports a case.
`boolean` | `isReadOnly()` Gets the access-mode of the case.
`boolean` | `isShowingConceptPanel(MiningMartConcept concept)`
`boolean` | `isShowingSettings(MiningMartStep step)` Indicates wether the settings of the `MiningMartStep` are displayed or not.
`boolean` | `isShowingStepSettings()` Indicates wether the stepsettings are displayed or not.
`void` | `killCompilation()` Kills the compiler thread.
`void` | `loadParams()`
`static void` | `main(java.lang.String[] args)`
`void` | `modelLoaded()` Informs the Listener that the model was loaded.
`boolean` | `promptClose()` Close the case.
`void` | `promptDeleteCase()` Delete the current or another case.
`void` | `promptEditDbSettings()` Edit the db-settings.
`void` | `promptMergeChain()` Merges the selected steps and chains to a new chain.
`void` | `promptNew()`
`void` | `promptOpen()`
`void` | `promptOpen(java.lang.String casename, boolean openCaseForUpdating)`
`void` | `promptSetMode()` Set the mode of the current case.
`void` | `promptShowAllTransitions()` Shows all transitions.
`void` | `promptUnmergeChain()` Dissolves the selected chain.
`void` | `refreshCompilerAccess()` Refreshs the CompilerAccess.
`void` | `refreshOperatorToolPanel()` Refreshs the operatortoolpanel.
`void` | `removeAnnotations()` Removes the annotations.
`void` | `removeConceptPanel()` Removes the current ConceptPanel.
`void` | `removeConceptTools()` Removes the `ConceptToolPanel`.
`void` | `removeHelp()` Removes the help.
`void` | `removeOperatorTools()` Removes the `OperatorToolPanel`.
`void` | `removeStepSettingsPanel()` Removes the panel of the step-settings.
`void` | `saveModel()`
`void` | `saveParams()`
`void` | `setActualCaseName(java.lang.String name)` Sets the actual casename.
`void` | `setConceptToolPanel(ConceptToolPanel panel)` Sets the `ConceptToolPanel`.
`void` | `setDataModel(java.util.Collection datamodel)`
`protected void` | `setDefaultLayout()` Legt die initiale Groessee der Applikation und die Komponenten fest, mit der das Layout der Applikation initialisiert wird, kann von konkreten Anwendungen ueberschrieben werden.
`static void` | `setDefaultProperties()`
`void` | `setEditorMode(int mode)` Sets the editor mode.
`void` | `setNumberOfFeatures(int nr)` Sets the number of BaseAttributes displayed in a Concept!
`void` | `setOperatorInToolPanel(java.util.Vector vector)` Sets the operator in the toolpanel.
`void` | `setOperatorToolPanel(OperatorToolPanel panel)` Sets the `OperatorToolPanel`.
`void` | `setPointForConcept(java.awt.Point point)` Sets the point for a new concept.
`void` | `setPointForOperator(java.awt.Point point)` Sets the point for a new operator.
`static void` | `setSystemProperties()` Sets the system-properties.
`void` | `setWhichLinksToDraw(boolean subconc, boolean rels, boolean projs)`
`void` | `setWorkingDir(java.lang.String dir)` Sets the working directorty.
`boolean` | `shouldDrawProjections()`
`boolean` | `shouldDrawRelationships()`
`boolean` | `shouldDrawSubconceptLinks()`
`void` | `showAboutDialog()`
`void` | `showAnnotations()` Shows the annotations.
`void` | `showConceptPanel(ConceptPanel panel)` Shows the following ConceptPanel.
`void` | `showConceptTools()` Shows the `ConceptToolPanel`.
`void` | `showHelp()`
`void` | `showOperatorTools()` Shows the `OperatorToolPanel`.
`void` | `showStepSettings()` Shows the settings of the selected step.
`void` | `showStepSettings(MiningMartStep step)` Shows the settings of the step.
`void` | `updateToolsAndMenus()`

Methods inherited from class org.musoft.limo.application.Application
`activateFrameOfElement, activatePanel, addListener, addListeners, addViewChangeListener, componentHidden, componentMoved, componentResized, componentShown, createInitialDrawingView, deactivatePanel, enableComponentInTab, export, fireModelSelectionChanged, fireStateChanged, fireViewCreatedEvent, fireViewDestroyingEvent, fireViewSelectionChangedEvent, followPointer, getBirdsEye, getComponentsPanes, getCurrentProjectDir, getCurrentRoot, getCurrentTabTitle, getCurrentTabTitleTooltip, getDrawingView, getDrawingViewSize, getHypertextEditor, getHypertextLocation, getHypertextViewer, getInspector, getLastPrintersName, getListener, getListenerCount, getLoadedModelFilename, getLookAndFeel, getMainPane, getMetalTheme, getModel, getNavigator, getNotepad, getPaneOfComponent, getParameter, getPreferences, getPrintablePanels, getPrintableSelection, getToolbar, getUndoManager, getUserHome, getViewMode, getVisibleAreaOfActiveFrame, loadModel, newWindow, openURLInBrowser, paletteUserOver, paletteUserSelected, promptExport, promptOpen, promptPrint, promptSaveAs, propertyChange, removeComponentFromTab, removeListener, removeViewChangeListener, repairDamage, scrollDrawingFrame, scrollToFigure, scrollToFigure, scrollToFigure, scrollToFigure, selectComponentInTab, selectConnection, selectDefaultTool, selectFigure, selectFigure, setCurrentProjectDir, setDefaultToolButton, setFullScreenMode, setFullScreenMode, setLastPrintersName, setLookAndFeel, setModel, setReadOnly, setTool, setUndoManager, setupExportDialog, setViewMode, showComponentInTab, showLeftPane, showRightPane, showStatus, tool, toolDone, view, views`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### SYSTEM_PROP_MM_HOME

    public static final java.lang.String SYSTEM_PROP_MM_HOME

See Also:
  Constant Field Values

### compileLazy

    public static boolean compileLazy

### compilerThread

    public static CompilerThread compilerThread

### compilerAccess

    public static CompilerAccess compilerAccess

### keepCase

    public static boolean keepCase

### m4Interface

    public static M4Interface m4Interface

### currentcase

    public Case currentcase

### logservice

    public PrintViewer logservice

### DEFAULT_MODE

    public static int DEFAULT_MODE

### CASE_MODE

    public static final int CASE_MODE

See Also:
  Constant Field Values

### CONCEPT_MODE

    public static final int CONCEPT_MODE

See Also:
  Constant Field Values

Constructor Detail

### MiningMartApplication

    public MiningMartApplication()

  Creates new `MiningMartApplication`.

Method Detail

### getEditorMode

    public int getEditorMode()

  Gets the editor mode.

### setEditorMode

    public void setEditorMode(int mode)

  Sets the editor mode.

  Parameters:
    `mode` -
  See Also:
    `CASE_MODE`, `CONCEPT_MODE`

### createComponents

    protected void createComponents()

### createModel

    protected org.musoft.limo.model.Model createModel()

  See Also:
    `Application.createModel()`

### getMiningMartCase

    public MiningMartCase getMiningMartCase()

  Gets the MiningMartCase.

### getMiningMartConcepts

    public MiningMartConcepts getMiningMartConcepts()

  Gets the MiningMartConcepts.

### createToolBar

    protected org.musoft.limo.application.ToolBar createToolBar()

  See Also:
    `Application.createToolBar()`

### createMenuBar

    protected org.musoft.limo.application.MenuBar createMenuBar()

  See Also:
    `Application.createMenuBar()`

### createDrawing

    protected org.jhotdraw.framework.Drawing createDrawing(org.musoft.limo.model.Model rootElement)

  Creates the drawing used in this application. You need to override this method to use a Drawing subclass in your application. By default a standard Drawing is returned.

  See Also:
    `Application.createDrawing(Model)`

### createDrawingView

    protected org.jhotdraw.framework.DrawingView createDrawingView(org.musoft.limo.model.Model rootElement)

  See Also:
    `Application.createDrawingView(Model)`

### getDrawing

    public org.jhotdraw.framework.Drawing getDrawing()

  Gets the `Drawing`.

### getModelClassPrefix

    protected java.lang.String[] getModelClassPrefix()

  See Also:
    `Application.getModelClassPrefix()`

### figureSelectionChanged

    public void figureSelectionChanged(org.jhotdraw.framework.DrawingView dw)

  See Also:
    `CH.ifa.draw.framework.FigureSelectionListener#figureSelectionChanged(DrawingView)`

### getApplicationName

    public java.lang.String getApplicationName()

  See Also:
    `Application.getApplicationName()`

### setDefaultLayout

    protected void setDefaultLayout()

  Legt die initiale Groessee der Applikation und die Komponenten fest, mit der das Layout der Applikation initialisiert wird, kann von konkreten Anwendungen ueberschrieben werden.

### setSystemProperties

    public static void setSystemProperties()

  Sets the system-properties.

### setDefaultProperties

    public static void setDefaultProperties()

### createImageIcon

    protected static javax.swing.ImageIcon createImageIcon(java.lang.String path,
                                                           java.lang.String description)

  Returns an ImageIcon, or null if the path was invalid.

### getPointforOperator

    public java.awt.Point getPointforOperator()

  Gets the point for a new operator.

### setPointForOperator

    public void setPointForOperator(java.awt.Point point)

  Sets the point for a new operator.

### getPointforConcept

    public java.awt.Point getPointforConcept()

  Gets the point for a new concept.

### setPointForConcept

    public void setPointForConcept(java.awt.Point point)

  Sets the point for a new concept.

### getPotentialParent

    public org.musoft.limo.model.ModelFigureElement getPotentialParent(int x,
                                                                       int y)

  Gets the potential parent for the specified coordinate.

### showHelp

    public void showHelp()

  See Also:
    `Application.showHelp()`

### removeHelp

    public void removeHelp()

  Removes the help.

### showAboutDialog

    public void showAboutDialog()

  See Also:
    `Application.showAboutDialog()`

### getCompilerAccess

    public CompilerAccess getCompilerAccess()

### saveParams

    public void saveParams()

  See Also:
    `Application.saveParams()`

### loadParams

    public void loadParams()

  See Also:
    `Application.loadParams()`

### getWorkingDir

    public java.lang.String getWorkingDir()

  Gets the working directory.

### setWorkingDir

    public void setWorkingDir(java.lang.String dir)

  Sets the working directorty.

### getOperatorsInToolPanel

    public java.util.Vector getOperatorsInToolPanel()

  Gets the operators in the toolpanel.

### setOperatorInToolPanel

    public void setOperatorInToolPanel(java.util.Vector vector)

  Sets the operator in the toolpanel.

### refreshOperatorToolPanel

    public void refreshOperatorToolPanel()

  Refreshs the operatortoolpanel.

### promptOpen

    public void promptOpen()

### promptOpen

    public void promptOpen(java.lang.String casename,
                           boolean openCaseForUpdating)

### modelLoaded

    public void modelLoaded()

  Informs the Listener that the model was loaded. Be sure that the model was loaded.

### promptNew

    public void promptNew()

### saveModel

    public void saveModel()

### promptDeleteCase

    public void promptDeleteCase()

  Delete the current or another case.

### isShowingStepSettings

    public boolean isShowingStepSettings()

  Indicates wether the stepsettings are displayed or not.

### isShowingSettings

    public boolean isShowingSettings(MiningMartStep step)

  Indicates wether the settings of the `MiningMartStep` are displayed or not.

  Parameters:
    `step` -

### isShowingConceptPanel

    public boolean isShowingConceptPanel(MiningMartConcept concept)

### getStepSettings

    public StepSettingsPanel getStepSettings()

  Gets the panel of the stepsettings.

### setDataModel

    public void setDataModel(java.util.Collection datamodel)

### getDataModel

    public java.util.Collection getDataModel()

### clearDataModel

    public void clearDataModel()

### hasDataModel

    public boolean hasDataModel()

### promptClose

    public boolean promptClose()

  Close the case.

### exit

    public void exit()

  Exit the application.

### promptSetMode

    public void promptSetMode()

  Set the mode of the current case.

### exportCase

    public void exportCase()

  Exports the current case.

### importCase

    public void importCase()

  Imports a case.

### getActualCaseName

    public java.lang.String getActualCaseName()

  Gets the actual casename.

### setActualCaseName

    public void setActualCaseName(java.lang.String name)

  Sets the actual casename.

### promptMergeChain

    public void promptMergeChain()

  Merges the selected steps and chains to a new chain.

### promptUnmergeChain

    public void promptUnmergeChain()

  Dissolves the selected chain.

### promptEditDbSettings

    public void promptEditDbSettings()

  Edit the db-settings.

### promptShowAllTransitions

    public void promptShowAllTransitions()

  Shows all transitions.

### showStepSettings

    public void showStepSettings()

  Shows the settings of the selected step.

### showStepSettings

    public void showStepSettings(MiningMartStep step)

  Shows the settings of the step.

### removeStepSettingsPanel

    public void removeStepSettingsPanel()

  Removes the panel of the step-settings.

### showConceptPanel

    public void showConceptPanel(ConceptPanel panel)

  Shows the following ConceptPanel.

  Parameters:
    `panel` -

### removeConceptPanel

    public void removeConceptPanel()

  Removes the current ConceptPanel.

### setOperatorToolPanel

    public void setOperatorToolPanel(OperatorToolPanel panel)

  Sets the `OperatorToolPanel`.

### getOperatorToolPanel

    public OperatorToolPanel getOperatorToolPanel()

  Gets the `OperatorToolPanel`.

### setConceptToolPanel

    public void setConceptToolPanel(ConceptToolPanel panel)

  Sets the `ConceptToolPanel`.

### getConceptToolPanel

    public ConceptToolPanel getConceptToolPanel()

  Gets the `onceptToolPanel`.

### isReadOnly

    public boolean isReadOnly()

  Gets the access-mode of the case. Readable or not.

### refreshCompilerAccess

    public void refreshCompilerAccess()

  Refreshs the CompilerAccess.

### compileStep

    public void compileStep()

  Compiles the selected step.

### compileAll

    public void compileAll()

  Compiles all steps in the case.

### compileUntil

    public void compileUntil()

  Compiles until the selected step.

### compileFrom

    public void compileFrom()

  Compiles from the selected step.

### killCompilation

    public void killCompilation()

  Kills the compiler thread. Kills a running compilation thread on the compiler server. a method on the CompilerServer is called which is responsible to clean up

### collectGarbage

    public void collectGarbage()

  Collects and deletes the garbage from the current case.

### showAnnotations

    public void showAnnotations()

  Shows the annotations.

### removeAnnotations

    public void removeAnnotations()

  Removes the annotations.

### showOperatorTools

    public void showOperatorTools()

  Shows the `OperatorToolPanel`.

### removeOperatorTools

    public void removeOperatorTools()

  Removes the `OperatorToolPanel`.

### showConceptTools

    public void showConceptTools()

  Shows the `ConceptToolPanel`.

### removeConceptTools

    public void removeConceptTools()

  Removes the `ConceptToolPanel`.

### createLogger

    public java.util.logging.Logger createLogger()

  See Also:
    `Application.createLogger()`

### getApplicationTitle

    public java.lang.String getApplicationTitle()

### getApplicationVersion

    public java.lang.String getApplicationVersion()

### getConfigPath

    protected java.io.File getConfigPath()

### checkToolsAndMenus

    protected void checkToolsAndMenus()

### getNumberOfFeatures

    public int getNumberOfFeatures()

  Returns the number of BaseAttributes displayed in a Concept!

### setWhichLinksToDraw

    public void setWhichLinksToDraw(boolean subconc,
                                    boolean rels,
                                    boolean projs)

### shouldDrawSubconceptLinks

    public boolean shouldDrawSubconceptLinks()

### shouldDrawRelationships

    public boolean shouldDrawRelationships()

### shouldDrawProjections

    public boolean shouldDrawProjections()

### setNumberOfFeatures

    public void setNumberOfFeatures(int nr)

  Sets the number of BaseAttributes displayed in a Concept!

### updateToolsAndMenus

    public void updateToolsAndMenus()

  See Also:
    `Application.checkToolsAndMenus()`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005